/* ==========================================================================
   Instagram widget style - begin
   ========================================================================== */

.mkdf-instagram-feed {
    list-style: none;
    padding: 0;
    margin: 0;

    li {
        float: left;
        box-sizing: border-box;
        border: none !important;

        a {
            position: relative;
            display: block;
            overflow: hidden;

            &:before{
                content: '';
                position: absolute;
                top: 0;
                left: 0;
                height: 100%;
                width: 100%;
                background-color: rgba($default-heading-color, .4);
                opacity: 0;
                @include mkdfTransition(opacity .6s);
            }

            &:after {
                content: '\f16d';
                font-family: FontAwesome;
                display: inline-block;
                position: absolute;
                top: 50%;
                font-size: 20px;
                line-height: 1em;
                width: auto;
                height: auto;
                left: 50%;
                background-color: transparent;
                color: #fff;
                opacity: 0;
                -webkit-transform: translate(-50%, -50%);
                -moz-transform: translate(-50%, -50%);
                transform: translate(-50%, -50%);
                -webkit-transition: opacity .2s ease-out,transform .2s ease-out;
                -moz-transition: opacity .2s ease-out,transform .2s ease-out;
                transition: opacity .2s ease-out,transform .2s ease-out;
            }

            &:hover {

                &:after,
                &:before{
                    opacity: 1;
                }
            }
        }

        img {
            width: 100%;
            display: block;
        }
    }

    &.mkdf-instagram-gallery {

        $gallery_space_label: ('no', 'tiny', 'small', 'normal');
        $gallery_space_width: (0, 2, 6, 10);

        @for $i from 0 to length($gallery_space_label) {
            &.mkdf-#{nth($gallery_space_label,$i+1)}-space {
                $column_width: nth($gallery_space_width, $i+1);
                $column_width_margin: $column_width * 2;

                @if ($column_width == 0) {
                    margin: 0;
                } @else {
                    margin: 0 -#{$column_width}px -#{$column_width_margin}px;
                }

                li {
                    padding: 0 #{$column_width}px;
                    margin: 0 0 #{$column_width_margin}px;
                }
            }
        }

        $gallery_columns: ('2', '3', '4', '6', '9');
        @for $i from 0 to length($gallery_columns) {
            &.mkdf-col-#{nth($gallery_columns, $i+1)} {
                $column_width: 100%/($i+2);

                @if ($i == 3) {
                    $column_width: 100%/6;
                } @else if ($i == 4) {
                    $column_width: 100%/9;
                }

                li {
                    width: $column_width;
                }
            }
        }
    }

    &.mkdf-instagram-carousel {

        li {
            position: relative;
            width: 100%;
            margin: 0;
            padding: 0;

            a {
                position: relative;
                display: block;
                height: 100%;

                &:before {
                    content: '';
                    position: absolute;
                    top: 0;
                    left: 0;
                    width: 100%;
                    height: 100%;
                    background-color: rgba(#fff, .25);
                    opacity: 0;
                    @include mkdfTransition(opacity 0.3s ease-in-out);
                }

                &:hover {
                    opacity: 1;
                }
            }
        }
    }
}
/* ==========================================================================
   Instagram widget style - end
   ========================================================================== */